{"openapi":"3.0.4","info":{"title":"List portfolios","description":"List all the portfolios matching particular criteria.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/portfolios":{"get":{"tags":["Portfolios"],"summary":"List portfolios","description":"List all the portfolios matching particular criteria.","operationId":"ListPortfolios","parameters":[{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to list the portfolios. Defaults to the current LUSID\r\n            system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to list the portfolios. Defaults to returning the latest version\r\n            of each portfolio if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing portfolios; this\r\n            value is returned from the previous call. If a pagination token is provided, the filter, effectiveAt\r\n            and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the results to this number. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the results.\r\n            For example, to filter on the transaction type, specify \"type eq 'Transaction'\". For more information about filtering\r\n            results, see https://support.lusid.com/knowledgebase/article/KA-01914.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names or properties to sort by, each suffixed by \" ASC\" or \" DESC\".","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"query","in":"query","description":"Expression specifying the criteria that the returned portfolios must meet. For example, to see which\r\n            portfolios have holdings in instruments with a LusidInstrumentId (LUID) of 'LUID_PPA8HI6M' or a Figi of 'BBG000BLNNH6',\r\n            specify \"instrument.identifiers in (('LusidInstrumentId', 'LUID_PPA8HI6M'), ('Figi', 'BBG000BLNNH6'))\".","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'Portfolio' domain to decorate onto each portfolio,\r\n            or from any domain that supports relationships to decorate onto related entities. These must take the\r\n            format {domain}/{scope}/{code}, for example 'Portfolio/Manager/Id'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"relationshipDefinitionIds","in":"query","description":"A list of relationship definitions that are used to decorate related entities\r\n            onto the portfolios in the response. These must take the form {relationshipDefinitionScope}/{relationshipDefinitionCode}.","schema":{"type":"array","items":{"type":"string","description":"Identifiers of an entity"}},"x-nullable":true}],"responses":{"200":{"description":"The requested portfolios","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfPortfolio"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfPortfolio"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfPortfolio"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}